GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtHliParamTraits Class Reference
GTPin: High-Level Instrumentation (HLI) Parameters and Arguments

Traits of HLI function parameter. More...

`#include <igt_iarg.h>`

## Public Member Functions
constexpr | GtHliParamTraits (GtHliParamType type=GtHliParamType::INVALID, uint32_t size=0)
| Constructor.
bool constexpr | IsValid () const
| Return true for a valid parameter/return type.
bool constexpr | IsVoid () const
| Return true for a void parameter type.
GtHliParamType constexpr | Type () const
| Return type of the parameter.
uint32_t constexpr | Size () const
| Return size of the parameter in bytes.
bool constexpr | IsPrime () const
| Return true for a primary parameter type.
bool constexpr | IsPtr () const
| Return true if the parameter is a pointer.

## Detailed Description

Traits of HLI function parameter.

## Constructor & Destructor Documentation

constexpr gtpin::GtHliParamTraits::GtHliParamTraits | ( | GtHliParamType | type = `GtHliParamType::INVALID`,
|  | uint32_t | size = `0`
| ) |  | `[inline]`

Constructor.

Parameters:

  [in] | type | Type of the HLI parameter
  [in] | size | Size of the HLI parameter in bytes The valid size must be a power of two, not exceeding sizeof(uint64_t)

The void parameter type has a special traits: GtHliParamTraits { GtHliParamType::PRIME, 0 }

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT